Package twisted :: Package python :: Module log :: Class Logger

[show private | hide private]
[frames | no frames]

## Class Logger

Known Subclasses:
  `FileDescriptor`, `Application`, `_UnixWaker`, `_Win32Waker`

This represents a class which may 'own' a log. Used by subclassing.

Method Summary
| `log(self, bytes)`
| ``logPrefix`(self)` Override this method to insert custom logging behavior.
| `_Logger__prefix(self)`

Class Variable Summary
`int` | `written`

Method Details

### logPrefix(self)

Override this method to insert custom logging behavior. Its return value will be inserted in front of every line. It may be called more times than the number of output lines.

Class Variable Details

### written

  Type:
    `int`
  Value:

        1

Generated by Epydoc 1.1 on Sat Feb 15 21:19:16 2003 | http://epydoc.sf.net